Summary: Console Server kernel for Fermilab
Name: console-kernel
Version: 1.0
Release: 2
Packager: Dan Yocum, Fermilab <yocum@fnal.gov>
Vendor: Fermilab
Copyright: GPL
Group: Fermi
Source: console-kernel.tgz
Distribution: Fermi Red Hat Linux 5.2.1
URL: http://www.fnal.gov/cd/unix/linux/
Requires: console-devices, console-software 
BuildArch: i386
BuildRoot: /var/tmp/console-kernel

%changelog

* Thu Feb 11 1999 Dan Yocum <yocum@fnal.gov>

- initial release

%description
This package contains the Linux kernel version 2.0.36 patched for the cyclades
console server board.  It can only be used with Cyclom-Y serial boards from 
Cyclades.

%prep

%install
mkdir -p ${RPM_BUILD_ROOT}
cd ${RPM_BUILD_ROOT}
tar -xvzpf ${RPM_SOURCE_DIR}/console-kernel.tgz

%files
%config /boot/System.map-2.0.36-3
%config /boot/module-info-2.0.36-3
/boot/cyclades-2.0.36-3
%dir /lib/modules/
%dir /lib/modules/2.0.36/
%dir /lib/modules/2.0.36/block/
/lib/modules/2.0.36/block/paride.o
/lib/modules/2.0.36/block/loop.o
/lib/modules/2.0.36/block/linear.o
/lib/modules/2.0.36/block/raid0.o
/lib/modules/2.0.36/block/raid1.o
/lib/modules/2.0.36/block/raid5.o
%dir /lib/modules/2.0.36/net/
/lib/modules/2.0.36/net/ppp.o
/lib/modules/2.0.36/net/slhc.o
/lib/modules/2.0.36/net/ibmtr.o
/lib/modules/2.0.36/net/shaper.o
/lib/modules/2.0.36/net/new_tunnel.o
/lib/modules/2.0.36/net/hp100.o
/lib/modules/2.0.36/net/smc9194.o
/lib/modules/2.0.36/net/wd.o
/lib/modules/2.0.36/net/3c503.o
/lib/modules/2.0.36/net/ne.o
/lib/modules/2.0.36/net/hp.o
/lib/modules/2.0.36/net/hp-plus.o
/lib/modules/2.0.36/net/smc-ultra.o
/lib/modules/2.0.36/net/smc-ultra32.o
/lib/modules/2.0.36/net/e2100.o
/lib/modules/2.0.36/net/plip.o
/lib/modules/2.0.36/net/bsd_comp.o
/lib/modules/2.0.36/net/slip.o
/lib/modules/2.0.36/net/dummy.o
/lib/modules/2.0.36/net/de600.o
/lib/modules/2.0.36/net/de620.o
/lib/modules/2.0.36/net/lance.o
/lib/modules/2.0.36/net/at1700.o
/lib/modules/2.0.36/net/3c501.o
/lib/modules/2.0.36/net/3c509.o
/lib/modules/2.0.36/net/3c515.o
/lib/modules/2.0.36/net/3c59x.o
/lib/modules/2.0.36/net/via-rhine.o
/lib/modules/2.0.36/net/eexpress.o
/lib/modules/2.0.36/net/eepro.o
/lib/modules/2.0.36/net/eepro100.o
/lib/modules/2.0.36/net/epic100.o
/lib/modules/2.0.36/net/ne2k-pci.o
/lib/modules/2.0.36/net/pcnet32.o
/lib/modules/2.0.36/net/rtl8139.o
/lib/modules/2.0.36/net/yellowfin.o
/lib/modules/2.0.36/net/depca.o
/lib/modules/2.0.36/net/ewrk3.o
/lib/modules/2.0.36/net/atp.o
/lib/modules/2.0.36/net/de4x5.o
/lib/modules/2.0.36/net/ni52.o
/lib/modules/2.0.36/net/ni65.o
/lib/modules/2.0.36/net/ac3200.o
/lib/modules/2.0.36/net/apricot.o
/lib/modules/2.0.36/net/tulip.o
/lib/modules/2.0.36/net/tlan.o
/lib/modules/2.0.36/net/arcnet.o
/lib/modules/2.0.36/net/eth16i.o
/lib/modules/2.0.36/net/8390.o
/lib/modules/2.0.36/net/eql.o
/lib/modules/2.0.36/net/dgrs.o
/lib/modules/2.0.36/net/rcpci.o
%dir /lib/modules/2.0.36/ipv4/
/lib/modules/2.0.36/ipv4/rarp.o
/lib/modules/2.0.36/ipv4/ipip.o
/lib/modules/2.0.36/ipv4/ip_masq_ftp.o
/lib/modules/2.0.36/ipv4/ip_masq_irc.o
/lib/modules/2.0.36/ipv4/ip_masq_raudio.o
/lib/modules/2.0.36/ipv4/ip_masq_cuseeme.o
/lib/modules/2.0.36/ipv4/ip_masq_vdolive.o
/lib/modules/2.0.36/ipv4/ip_masq_quake.o
/lib/modules/2.0.36/ipv4/ip_alias.o
%dir /lib/modules/2.0.36/scsi/
/lib/modules/2.0.36/scsi/st.o
/lib/modules/2.0.36/scsi/sg.o
/lib/modules/2.0.36/scsi/advansys.o
/lib/modules/2.0.36/scsi/ppa.o
/lib/modules/2.0.36/scsi/qlogicfas.o
/lib/modules/2.0.36/scsi/qlogicisp.o
/lib/modules/2.0.36/scsi/aha152x.o
/lib/modules/2.0.36/scsi/aha1542.o
/lib/modules/2.0.36/scsi/aha1740.o
/lib/modules/2.0.36/scsi/aic7xxx.o
/lib/modules/2.0.36/scsi/BusLogic.o
/lib/modules/2.0.36/scsi/eata_dma.o
/lib/modules/2.0.36/scsi/eata_pio.o
/lib/modules/2.0.36/scsi/u14-34f.o
/lib/modules/2.0.36/scsi/gdth.o
/lib/modules/2.0.36/scsi/fdomain.o
/lib/modules/2.0.36/scsi/in2000.o
/lib/modules/2.0.36/scsi/g_NCR5380.o
/lib/modules/2.0.36/scsi/53c7,8xx.o
/lib/modules/2.0.36/scsi/ncr53c8xx.o
/lib/modules/2.0.36/scsi/pas16.o
/lib/modules/2.0.36/scsi/seagate.o
/lib/modules/2.0.36/scsi/wd7000.o
/lib/modules/2.0.36/scsi/t128.o
/lib/modules/2.0.36/scsi/dtc.o
/lib/modules/2.0.36/scsi/ultrastor.o
/lib/modules/2.0.36/scsi/eata.o
/lib/modules/2.0.36/scsi/NCR53c406a.o
/lib/modules/2.0.36/scsi/megaraid.o
%dir /lib/modules/2.0.36/fs/
/lib/modules/2.0.36/fs/minix.o
/lib/modules/2.0.36/fs/ext.o
/lib/modules/2.0.36/fs/vfat.o
/lib/modules/2.0.36/fs/isofs.o
/lib/modules/2.0.36/fs/nfs.o
/lib/modules/2.0.36/fs/xiafs.o
/lib/modules/2.0.36/fs/umsdos.o
/lib/modules/2.0.36/fs/sysv.o
/lib/modules/2.0.36/fs/smbfs.o
/lib/modules/2.0.36/fs/ncpfs.o
/lib/modules/2.0.36/fs/hpfs.o
/lib/modules/2.0.36/fs/ufs.o
/lib/modules/2.0.36/fs/autofs.o
/lib/modules/2.0.36/fs/nls_cp437.o
/lib/modules/2.0.36/fs/nls_cp737.o
/lib/modules/2.0.36/fs/nls_cp775.o
/lib/modules/2.0.36/fs/nls_cp850.o
/lib/modules/2.0.36/fs/nls_cp852.o
/lib/modules/2.0.36/fs/nls_cp855.o
/lib/modules/2.0.36/fs/nls_cp857.o
/lib/modules/2.0.36/fs/nls_cp860.o
/lib/modules/2.0.36/fs/nls_cp861.o
/lib/modules/2.0.36/fs/nls_cp862.o
/lib/modules/2.0.36/fs/nls_cp863.o
/lib/modules/2.0.36/fs/nls_cp864.o
/lib/modules/2.0.36/fs/nls_cp865.o
/lib/modules/2.0.36/fs/nls_cp866.o
/lib/modules/2.0.36/fs/nls_cp869.o
/lib/modules/2.0.36/fs/nls_cp874.o
/lib/modules/2.0.36/fs/nls_iso8859_1.o
/lib/modules/2.0.36/fs/nls_iso8859_2.o
/lib/modules/2.0.36/fs/nls_iso8859_3.o
/lib/modules/2.0.36/fs/nls_iso8859_4.o
/lib/modules/2.0.36/fs/nls_iso8859_5.o
/lib/modules/2.0.36/fs/nls_iso8859_6.o
/lib/modules/2.0.36/fs/nls_iso8859_7.o
/lib/modules/2.0.36/fs/nls_iso8859_8.o
/lib/modules/2.0.36/fs/nls_iso8859_9.o
/lib/modules/2.0.36/fs/nls_koi8_r.o
%dir /lib/modules/2.0.36/cdrom/
/lib/modules/2.0.36/cdrom/cdrom.o
/lib/modules/2.0.36/cdrom/aztcd.o
/lib/modules/2.0.36/cdrom/cdu31a.o
/lib/modules/2.0.36/cdrom/mcd.o
/lib/modules/2.0.36/cdrom/mcdx.o
/lib/modules/2.0.36/cdrom/sbpcd.o
/lib/modules/2.0.36/cdrom/sonycd535.o
/lib/modules/2.0.36/cdrom/gscd.o
/lib/modules/2.0.36/cdrom/cm206.o
/lib/modules/2.0.36/cdrom/optcd.o
/lib/modules/2.0.36/cdrom/sjcd.o
/lib/modules/2.0.36/cdrom/isp16.o
%dir /lib/modules/2.0.36/misc/
/lib/modules/2.0.36/misc/aci.o
/lib/modules/2.0.36/misc/ad1848.o
/lib/modules/2.0.36/misc/adlib_card.o
/lib/modules/2.0.36/misc/aedsp16.o
/lib/modules/2.0.36/misc/appletalk.o
/lib/modules/2.0.36/misc/aten.o
/lib/modules/2.0.36/misc/awe_wave.o
/lib/modules/2.0.36/misc/b1pci.o
/lib/modules/2.0.36/misc/bpck.o
/lib/modules/2.0.36/misc/capi.o
/lib/modules/2.0.36/misc/capidrv.o
/lib/modules/2.0.36/misc/capiutil.o
/lib/modules/2.0.36/misc/comm.o
/lib/modules/2.0.36/misc/cs4232.o
/lib/modules/2.0.36/misc/dstr.o
/lib/modules/2.0.36/misc/epat.o
/lib/modules/2.0.36/misc/epia.o
/lib/modules/2.0.36/misc/es1370.o
/lib/modules/2.0.36/misc/es1371.o
/lib/modules/2.0.36/misc/fit2.o
/lib/modules/2.0.36/misc/fit3.o
/lib/modules/2.0.36/misc/frpw.o
/lib/modules/2.0.36/misc/ftape.o
/lib/modules/2.0.36/misc/gus.o
/lib/modules/2.0.36/misc/hisax.o
/lib/modules/2.0.36/misc/icn.o
/lib/modules/2.0.36/misc/ipx.o
/lib/modules/2.0.36/misc/isdn.o
/lib/modules/2.0.36/misc/isdnloop.o
/lib/modules/2.0.36/misc/istallion.o
/lib/modules/2.0.36/misc/kbic.o
/lib/modules/2.0.36/misc/kernelcapi.o
/lib/modules/2.0.36/misc/ktti.o
/lib/modules/2.0.36/misc/lp.o
/lib/modules/2.0.36/misc/mad16.o
/lib/modules/2.0.36/misc/maui.o
/lib/modules/2.0.36/misc/mpu401.o
/lib/modules/2.0.36/misc/msnd.o
/lib/modules/2.0.36/misc/msnd_classic.o
/lib/modules/2.0.36/misc/msnd_pinnacle.o
/lib/modules/2.0.36/misc/on20.o
/lib/modules/2.0.36/misc/on26.o
/lib/modules/2.0.36/misc/opl3.o
/lib/modules/2.0.36/misc/opl3sa.o
/lib/modules/2.0.36/misc/opl3sa2.o
/lib/modules/2.0.36/misc/pas2.o
/lib/modules/2.0.36/misc/pcbit.o
/lib/modules/2.0.36/misc/pcd.o
/lib/modules/2.0.36/misc/pd.o
/lib/modules/2.0.36/misc/pf.o
/lib/modules/2.0.36/misc/pg.o
/lib/modules/2.0.36/misc/pss.o
/lib/modules/2.0.36/misc/pt.o
/lib/modules/2.0.36/misc/riscom8.o
/lib/modules/2.0.36/misc/sb.o
/lib/modules/2.0.36/misc/sc.o
/lib/modules/2.0.36/misc/sgalaxy.o
/lib/modules/2.0.36/misc/softoss2.o
/lib/modules/2.0.36/misc/sonicvibes.o
/lib/modules/2.0.36/misc/sound.o
/lib/modules/2.0.36/misc/soundcore.o
/lib/modules/2.0.36/misc/soundlow.o
/lib/modules/2.0.36/misc/specialix.o
/lib/modules/2.0.36/misc/sscape.o
/lib/modules/2.0.36/misc/stallion.o
/lib/modules/2.0.36/misc/trix.o
/lib/modules/2.0.36/misc/uart401.o
/lib/modules/2.0.36/misc/uart6850.o
/lib/modules/2.0.36/misc/v_midi.o
/lib/modules/2.0.36/modules.dep
%pre
/sbin/modprobe loop 2> /dev/null > /dev/null
exit 0
%post
cd /boot
ln -sf cyclades-2.0.36-3 cyclades
ln -sf System.map-2.0.36-3 System.map
ln -sf module-info-2.0.36-3 module-info

if [ -f /etc/lilo.conf ]; then

	export ROOTDIR=`grep root /etc/lilo.conf | sort -u`

	mv /etc/lilo.conf /etc/lilo.conf.rpmsave

sed -e '/^install/a\
default=cyclades\' /etc/lilo.conf.rpmsave > /etc/lilo.conf

	echo "image=/boot/cyclades" >> /etc/lilo.conf
	echo "	label=cyclades" >> /etc/lilo.conf
	echo "$ROOTDIR" >> /etc/lilo.conf
	echo "	read-only" >> /etc/lilo.conf

fi

if [ -x /sbin/lilo -a -f /etc/lilo.conf ]; then
        /sbin/lilo > /dev/null
fi

%postun

if [ -f /etc/lilo.conf -a -f /etc/lilo.conf.rpmsave ]; then
	mv -f /etc/lilo.conf.rpmsave /etc/lilo.conf
fi

if [ -x /sbin/lilo -a -f /etc/lilo.conf ]; then
        /sbin/lilo > /dev/null
fi
